System upgrade causing black screen on boot (12/15/21)

Tried running a full system upgrade yesterday (last I ran before was about 12/10/2021), and after a reboot, I got to GRUB, then the actual boot, but come time to enter my desktop environment I got nothing but a black screen, not even a shell. I booted a live Endeavour media and downgraded all my packages using the Arch Archive. I had a conflict between xorg-server and libxcvt as they both claimed ownership to the libxcvt binary as it was recently moved out of xorg’s dependencies IIRC.
After I ran pacman -Rdd libxcvt, I was able to downgrade my packages and following a reboot was back in my system like nothing had happened.

Today I was curious if the issues with libxcvt caused my issues, so I did a full system update again. And got a black screen again. I’m not sure what is causing this break. Here is some more info:

System Specs:
OS: EndeavourOS
CPU: i5-6200U
GPU: Nvidia 940MX (Running proprietary Nvidia driver)
DE: KDE Plasma 5.23.4
Last successful system update: Dec 10, 2021

I looked through the pacman logs during my update and the only warnings I got were these:

[2021-12-16T08:03:09-0600] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: aic94xx
[2021-12-16T08:03:10-0600] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: wd719x
[2021-12-16T08:03:11-0600] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: xhci_pci
[2021-12-16T08:03:12-0600] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2021-12-16T08:03:13-0600] [ALPM-SCRIPTLET]   -> Running build hook: [keymap]
[2021-12-16T08:03:13-0600] [ALPM-SCRIPTLET]   -> Running build hook: [consolefont]
[2021-12-16T08:03:13-0600] [ALPM-SCRIPTLET] ==> WARNING: consolefont: no font found in configuration

Here is the list of all downgraded packages that seemed to fix my system:

[2021-12-16T08:20:25-0600] [ALPM] downgraded alsa-card-profiles (1:0.3.42-1 -> 1:0.3.40-1)
[2021-12-16T08:20:25-0600] [ALPM] downgraded alsa-ucm-conf (1.2.6.2-2 -> 1.2.5.1-1)
[2021-12-16T08:20:25-0600] [ALPM] downgraded alsa-lib (1.2.6.1-1 -> 1.2.5.1-3)
[2021-12-16T08:20:26-0600] [ALPM] downgraded alsa-plugins (1:1.2.6-1 -> 1:1.2.5-2)
[2021-12-16T08:20:26-0600] [ALPM] downgraded gcc-libs (11.1.0-3 -> 11.1.0-1)
[2021-12-16T08:20:26-0600] [ALPM] downgraded alsa-utils (1.2.6-1 -> 1.2.5.1-1)
[2021-12-16T08:20:26-0600] [ALPM] downgraded libxml2 (2.9.12-5 -> 2.9.12-3)
[2021-12-16T08:20:26-0600] [ALPM] downgraded wayland (1.20.0-1 -> 1.19.0-2)
[2021-12-16T08:20:26-0600] [ALPM] downgraded llvm-libs (13.0.0-6 -> 13.0.0-3)
[2021-12-16T08:20:26-0600] [ALPM] downgraded xcb-proto (1.14.1-5 -> 1.14.1-3)
[2021-12-16T08:20:26-0600] [ALPM] downgraded xorg-server-common (21.1.2-1 -> 21.1.1-3)
[2021-12-16T08:20:26-0600] [ALPM] downgraded libcap-ng (0.8.2-6 -> 0.8.2-3)
[2021-12-16T08:20:26-0600] [ALPM] downgraded util-linux-libs (2.37.2-4 -> 2.37.2-1)
[2021-12-16T08:20:27-0600] [ALPM] downgraded audit (3.0.6-5 -> 3.0.6-2)
[2021-12-16T08:20:27-0600] [ALPM] downgraded pambase (20211210-1 -> 20211111-1)
[2021-12-16T08:20:27-0600] [ALPM] downgraded libcap (2.62-1 -> 2.61-1)
[2021-12-16T08:20:27-0600] [ALPM] downgraded brotli (1.0.9-7 -> 1.0.9-4)
[2021-12-16T08:20:27-0600] [ALPM] downgraded glib2 (2.70.2-1 -> 2.70.1-1)
[2021-12-16T08:20:27-0600] [ALPM] downgraded harfbuzz (3.2.0-1 -> 3.1.2-1)
[2021-12-16T08:20:27-0600] [ALPM] downgraded libseccomp (2.5.3-3 -> 2.5.3-1)
[2021-12-16T08:20:27-0600] [ALPM] downgraded util-linux (2.37.2-4 -> 2.37.2-1)
[2021-12-16T08:20:27-0600] [ALPM] downgraded libinput (1.19.3-1 -> 1.19.2-1)
[2021-12-16T08:20:27-0600] [ALPM] downgraded xorg-server (21.1.2-1 -> 21.1.1-3)
[2021-12-16T08:20:28-0600] [ALPM] downgraded nvidia-utils (495.46-1 -> 495.44-6)
[2021-12-16T08:20:28-0600] [ALPM-SCRIPTLET] If you run into trouble with CUDA not being available, run nvidia-modprobe first.
[2021-12-16T08:20:29-0600] [ALPM] downgraded mesa (21.3.1-1 -> 21.2.5-1)
[2021-12-16T08:20:29-0600] [ALPM] downgraded libproxy (0.4.17-6 -> 0.4.17-3)
[2021-12-16T08:20:29-0600] [ALPM] downgraded avahi (0.8+22+gfd482a7-3 -> 0.8+22+gfd482a7-1)
[2021-12-16T08:20:29-0600] [ALPM] downgraded attica (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:29-0600] [ALPM] downgraded ki18n (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:29-0600] [ALPM] downgraded karchive (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:29-0600] [ALPM] downgraded kconfig (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:29-0600] [ALPM] downgraded kcoreaddons (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:29-0600] [ALPM] downgraded libmfx (21.3.5-1 -> 21.3.2-1)
[2021-12-16T08:20:29-0600] [ALPM] downgraded pango (1:1.50.1-1 -> 1:1.50.0-3)
[2021-12-16T08:20:30-0600] [ALPM] downgraded libibus (1.5.25-5 -> 1.5.25-3)
[2021-12-16T08:20:30-0600] [ALPM] downgraded kfilemetadata (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:30-0600] [ALPM] downgraded kidletime (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:30-0600] [ALPM] downgraded btrfs-progs (5.15.1-3 -> 5.15.1-1)
[2021-12-16T08:20:30-0600] [ALPM] downgraded libbytesize (2.6-3 -> 2.6-1)
[2021-12-16T08:20:30-0600] [ALPM] downgraded gpgme (1.16.0-3 -> 1.16.0-1)
[2021-12-16T08:20:30-0600] [ALPM] downgraded volume_key (0.3.12-7 -> 0.3.12-5)
[2021-12-16T08:20:30-0600] [ALPM] downgraded libblockdev (2.26-3 -> 2.26-1)
[2021-12-16T08:20:30-0600] [ALPM] downgraded polkit (0.120-3 -> 0.120-2)
[2021-12-16T08:20:30-0600] [ALPM] downgraded libplist (2.2.0-5 -> 2.2.0-3)
[2021-12-16T08:20:30-0600] [ALPM] downgraded libimobiledevice (1.3.0-5 -> 1.3.0-3)
[2021-12-16T08:20:30-0600] [ALPM] downgraded solid (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:30-0600] [ALPM] downgraded kwidgetsaddons (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:30-0600] [ALPM] downgraded kjobwidgets (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:30-0600] [ALPM] downgraded kdbusaddons (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:30-0600] [ALPM] downgraded kwindowsystem (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:30-0600] [ALPM] downgraded kcrash (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:30-0600] [ALPM] downgraded kglobalaccel (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:30-0600] [ALPM] downgraded kauth (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:30-0600] [ALPM] downgraded kcodecs (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:30-0600] [ALPM] downgraded kguiaddons (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:30-0600] [ALPM] downgraded kconfigwidgets (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:30-0600] [ALPM] downgraded kitemviews (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:31-0600] [ALPM] downgraded kiconthemes (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:31-0600] [ALPM] downgraded kxmlgui (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:31-0600] [ALPM] downgraded kbookmarks (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:31-0600] [ALPM] downgraded tdb (1.4.5-3 -> 1.4.5-1)
[2021-12-16T08:20:31-0600] [ALPM] downgraded python (3.10.1-1 -> 3.9.9-1)
[2021-12-16T08:20:31-0600] [ALPM] downgraded knotifications (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:31-0600] [ALPM] downgraded kservice (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:31-0600] [ALPM] downgraded kwallet (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:31-0600] [ALPM] downgraded kcompletion (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:31-0600] [ALPM] downgraded sonnet (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:31-0600] [ALPM] downgraded ktextwidgets (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:31-0600] [ALPM] downgraded kded (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:32-0600] [ALPM] downgraded kio (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:32-0600] [ALPM] downgraded baloo (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:32-0600] [ALPM] downgraded python-ply (3.11-10 -> 3.11-8)
[2021-12-16T08:20:32-0600] [ALPM] downgraded bind (9.16.23-3 -> 9.16.23-1)
[2021-12-16T08:20:32-0600] [ALPM] downgraded libical (3.0.12-1 -> 3.0.11-2)
[2021-12-16T08:20:32-0600] [ALPM] downgraded bluez-qt (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:32-0600] [ALPM] downgraded boost-libs (1.76.0-6 -> 1.76.0-2)
[2021-12-16T08:20:34-0600] [ALPM] downgraded breeze-icons (5.89.0-1 -> 5.88.0-2)
[2021-12-16T08:20:35-0600] [ALPM] downgraded bullet (3.21-2 -> 3.17-1)
[2021-12-16T08:20:35-0600] [ALPM] downgraded dbus-python (1.2.18-3 -> 1.2.18-1)
[2021-12-16T08:20:35-0600] [ALPM] downgraded dialog (1:1.3_20211214-1 -> 1:1.3_20211107-1)
[2021-12-16T08:20:35-0600] [ALPM] downgraded enchant (2.3.2-1 -> 2.3.1-2)
[2021-12-16T08:20:35-0600] [ALPM] downgraded kpackage (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:35-0600] [ALPM] downgraded syndication (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:35-0600] [ALPM] downgraded knewstuff (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:35-0600] [ALPM] downgraded frameworkintegration (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:36-0600] [ALPM] downgraded gcc (11.1.0-3 -> 11.1.0-1)
[2021-12-16T08:20:36-0600] [ALPM] downgraded ghostscript (9.55.0-3 -> 9.55.0-2)
[2021-12-16T08:20:36-0600] [ALPM] downgraded python-psutil (5.8.0-4 -> 5.8.0-1)
[2021-12-16T08:20:36-0600] [ALPM] downgraded python-future (0.18.2-7 -> 0.18.2-5)
[2021-12-16T08:20:36-0600] [ALPM] downgraded python-defusedxml (0.7.1-4 -> 0.7.1-2)
[2021-12-16T08:20:37-0600] [ALPM] downgraded glances (3.2.4-2 -> 3.2.4-1)
[2021-12-16T08:20:37-0600] [ALPM] downgraded gobject-introspection-runtime (1.70.0-4 -> 1.70.0-2)
[2021-12-16T08:20:37-0600] [ALPM] downgraded miniupnpc (2.2.2-2 -> 2.2.2-1)
[2021-12-16T08:20:37-0600] [ALPM] downgraded tbb (2021.4.0-3 -> 2021.4.0-1)
[2021-12-16T08:20:37-0600] [ALPM] downgraded godot (3.4-4 -> 3.4-1)
[2021-12-16T08:20:37-0600] [ALPM] downgraded gsl (2.7.1-1 -> 2.7-1)
[2021-12-16T08:20:37-0600] [ALPM] downgraded pipewire (1:0.3.42-1 -> 1:0.3.40-1)
[2021-12-16T08:20:37-0600] [ALPM] downgraded gst-plugin-pipewire (1:0.3.42-1 -> 1:0.3.40-1)
[2021-12-16T08:20:37-0600] [ALPM] downgraded harfbuzz-icu (3.2.0-1 -> 3.1.2-1)
[2021-12-16T08:20:37-0600] [ALPM] downgraded python-appdirs (1.4.4-6 -> 1.4.4-3)
[2021-12-16T08:20:37-0600] [ALPM] downgraded python-more-itertools (8.10.0-4 -> 8.10.0-1)
[2021-12-16T08:20:37-0600] [ALPM] downgraded python-ordered-set (4.0.2-6 -> 4.0.2-3)
[2021-12-16T08:20:37-0600] [ALPM] downgraded python-pyparsing (2.4.7-6 -> 2.4.7-3)
[2021-12-16T08:20:37-0600] [ALPM] downgraded python-six (1.16.0-5 -> 1.16.0-1)
[2021-12-16T08:20:37-0600] [ALPM] downgraded python-packaging (20.9-7 -> 20.9-2)
[2021-12-16T08:20:37-0600] [ALPM] downgraded python-setuptools (1:57.4.0-6 -> 1:57.4.0-2)
[2021-12-16T08:20:37-0600] [ALPM] downgraded python-distro (1.6.0-4 -> 1.6.0-2)
[2021-12-16T08:20:37-0600] [ALPM] downgraded net-snmp (5.9.1-3 -> 5.9.1-1)
[2021-12-16T08:20:37-0600] [ALPM] downgraded python-gobject (3.42.0-3 -> 3.42.0-1)
[2021-12-16T08:20:38-0600] [ALPM] downgraded perl (5.34.0-3 -> 5.34.0-2)
[2021-12-16T08:20:38-0600] [ALPM] downgraded liblouis (3.20.0-2 -> 3.20.0-1)
[2021-12-16T08:20:38-0600] [ALPM] downgraded libraqm (0.8.0-1 -> 0.7.2-2)
[2021-12-16T08:20:38-0600] [ALPM] downgraded perl-alien-build (2.44-1 -> 2.42-1)
[2021-12-16T08:20:38-0600] [ALPM] downgraded hplip (1:3.21.10-2 -> 1:3.21.10-1)
[2021-12-16T08:20:38-0600] [ALPM] downgraded imath (3.1.3-3 -> 3.1.3-1)
[2021-12-16T08:20:38-0600] [ALPM] downgraded imlib2 (1.7.5-1 -> 1.7.4-1)
[2021-12-16T08:20:38-0600] [ALPM] downgraded kactivities (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:38-0600] [ALPM] downgraded kactivities-stats (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:39-0600] [ALPM] downgraded kdeclarative (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:39-0600] [ALPM] downgraded kcmutils (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:39-0600] [ALPM] downgraded kcontacts (1:5.89.0-1 -> 1:5.88.0-1)
[2021-12-16T08:20:39-0600] [ALPM] downgraded kunitconversion (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:39-0600] [ALPM] downgraded kitemmodels (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:39-0600] [ALPM] downgraded kemoticons (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:39-0600] [ALPM] downgraded kparts (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:39-0600] [ALPM] downgraded kdelibs4support (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:39-0600] [ALPM] downgraded kpty (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:39-0600] [ALPM] downgraded kdesu (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:39-0600] [ALPM] downgraded kdnssd (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:39-0600] [ALPM] downgraded kholidays (1:5.89.0-1 -> 1:5.88.0-1)
[2021-12-16T08:20:40-0600] [ALPM] downgraded kinit (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:40-0600] [ALPM] downgraded kirigami2 (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:40-0600] [ALPM] downgraded kjs (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:40-0600] [ALPM] downgraded knotifyconfig (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:40-0600] [ALPM] downgraded kpeople (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:40-0600] [ALPM] downgraded kquickcharts (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:40-0600] [ALPM] downgraded opencolorio (2.1.0-4 -> 2.1.0-2)
[2021-12-16T08:20:40-0600] [ALPM] downgraded krita (4.4.8-5 -> 4.4.8-3)
[2021-12-16T08:20:41-0600] [ALPM] downgraded kwayland (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:41-0600] [ALPM] downgraded plasma-framework (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:41-0600] [ALPM] downgraded threadweaver (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:41-0600] [ALPM] downgraded krunner (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:41-0600] [ALPM] downgraded syntax-highlighting (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:41-0600] [ALPM] downgraded ktexteditor (5.89.0-1 -> 5.88.0-2)
[2021-12-16T08:20:41-0600] [ALPM] downgraded talloc (2.3.3-3 -> 2.3.3-1)
[2021-12-16T08:20:41-0600] [ALPM] downgraded tevent (1:0.11.0-3 -> 1:0.11.0-1)
[2021-12-16T08:20:41-0600] [ALPM] downgraded ldb (2:2.4.1-4 -> 2:2.4.1-2)
[2021-12-16T08:20:41-0600] [ALPM] downgraded lib32-alsa-lib (1.2.6.1-1 -> 1.2.5.1-1)
[2021-12-16T08:20:41-0600] [ALPM] downgraded lib32-alsa-plugins (1.2.6-1 -> 1.2.5-1)
[2021-12-16T08:20:41-0600] [ALPM] downgraded lib32-gcc-libs (11.1.0-3 -> 11.1.0-1)
[2021-12-16T08:20:41-0600] [ALPM] downgraded lib32-libx11 (1.7.3.1-1 -> 1.7.2-1)
[2021-12-16T08:20:42-0600] [ALPM] downgraded lib32-wayland (1.20.0-1 -> 1.19.0-2)
[2021-12-16T08:20:42-0600] [ALPM] downgraded lib32-nvidia-utils (495.46-1 -> 495.44-1)
[2021-12-16T08:20:42-0600] [ALPM] downgraded lib32-mesa (21.3.1-1 -> 21.2.5-1)
[2021-12-16T08:20:42-0600] [ALPM] downgraded lib32-sqlite (3.37.0-1 -> 3.36.0-1)
[2021-12-16T08:20:42-0600] [ALPM] downgraded libaccounts-glib (1.25-6 -> 1.25-4)
[2021-12-16T08:20:42-0600] [ALPM] downgraded libieee1284 (0.2.11-13 -> 0.2.11-11)
[2021-12-16T08:20:42-0600] [ALPM] downgraded libixion (0.16.1-8 -> 0.16.1-6)
[2021-12-16T08:20:42-0600] [ALPM] downgraded libnewt (0.52.21-8 -> 0.52.21-6)
[2021-12-16T08:20:42-0600] [ALPM] downgraded libnm (1.32.12-2 -> 1.32.12-1)
[2021-12-16T08:20:42-0600] [ALPM] downgraded liborcus (0.16.1-9 -> 0.16.1-7)
[2021-12-16T08:20:45-0600] [ALPM] downgraded libreoffice-fresh (7.2.4-2 -> 7.2.3-1)
[2021-12-16T08:20:45-0600] [ALPM] downgraded libteam (1.31-5 -> 1.31-3)
[2021-12-16T08:20:45-0600] [ALPM] downgraded protobuf (3.17.3-3 -> 3.17.3-1)
[2021-12-16T08:20:46-0600] [ALPM] downgraded libtg_owt (0.git9.d5c3d43-3 -> 0.git8.d578c76-1)
[2021-12-16T08:20:46-0600] [ALPM] downgraded lilv (0.24.12-4 -> 0.24.12-2)
[2021-12-16T08:20:48-0600] [ALPM] downgraded linux (5.15.8.arch1-1 -> 5.15.7.arch1-1)
[2021-12-16T08:20:48-0600] [ALPM] downgraded pahole (1.23-1 -> 1.22-1)
[2021-12-16T08:20:51-0600] [ALPM] downgraded linux-headers (5.15.8.arch1-1 -> 5.15.7.arch1-1)
[2021-12-16T08:20:51-0600] [ALPM] downgraded python-cairo (1.20.1-3 -> 1.20.1-1)
[2021-12-16T08:20:51-0600] [ALPM] downgraded meld (3.20.4-2 -> 3.20.4-1)
[2021-12-16T08:20:51-0600] [ALPM] downgraded modemmanager-qt (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:51-0600] [ALPM] downgraded mpg123 (1.29.3-1 -> 1.29.2-1)
[2021-12-16T08:20:51-0600] [ALPM] downgraded networkmanager (1.32.12-2 -> 1.32.12-1)
[2021-12-16T08:20:51-0600] [ALPM] downgraded networkmanager-qt (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:51-0600] [ALPM] downgraded nvidia (495.46-2 -> 495.44-15)
[2021-12-16T08:20:51-0600] [ALPM] downgraded openvpn (2.5.5-1 -> 2.5.4-1)
[2021-12-16T08:20:51-0600] [ALPM] warning: /etc/pacman.d/mirrorlist installed as /etc/pacman.d/mirrorlist.pacnew
[2021-12-16T08:20:51-0600] [ALPM] downgraded pacman-mirrorlist (20211212-1 -> 20211114-1)
[2021-12-16T08:20:51-0600] [ALPM] downgraded pipewire-alsa (1:0.3.42-1 -> 1:0.3.40-1)
[2021-12-16T08:20:51-0600] [ALPM] downgraded pipewire-jack (1:0.3.42-1 -> 1:0.3.40-1)
[2021-12-16T08:20:51-0600] [ALPM] downgraded pipewire-pulse (1:0.3.42-1 -> 1:0.3.40-1)
[2021-12-16T08:20:51-0600] [ALPM] downgraded prison (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:51-0600] [ALPM] downgraded purpose (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:51-0600] [ALPM] downgraded python-argcomplete (1.12.3-1 -> 1.12.1-1)
[2021-12-16T08:20:51-0600] [ALPM] downgraded python-chardet (4.0.0-5 -> 4.0.0-3)
[2021-12-16T08:20:51-0600] [ALPM] downgraded python-colorama (0.4.4-6 -> 0.4.4-4)
[2021-12-16T08:20:51-0600] [ALPM] downgraded python-dnspython (1:2.1.0-3 -> 1:2.1.0-1)
[2021-12-16T08:20:51-0600] [ALPM] downgraded python-idna (3.3-3 -> 3.3-1)
[2021-12-16T08:20:51-0600] [ALPM] downgraded python-zipp (3.6.0-3 -> 3.6.0-1)
[2021-12-16T08:20:51-0600] [ALPM] downgraded python-importlib-metadata (4.8.1-3 -> 4.8.1-1)
[2021-12-16T08:20:51-0600] [ALPM] downgraded python-markdown (3.3.6-3 -> 3.3.6-1)
[2021-12-16T08:20:51-0600] [ALPM] downgraded python-pillow (8.4.0-3 -> 8.4.0-1)
[2021-12-16T08:20:51-0600] [ALPM] downgraded python-pycups (2.0.1-5 -> 2.0.1-3)
[2021-12-16T08:20:51-0600] [ALPM] downgraded python-pycurl (7.44.1-3 -> 7.44.1-1)
[2021-12-16T08:20:51-0600] [ALPM] downgraded python-pyqt5-sip (12.9.0-3 -> 12.9.0-1)
[2021-12-16T08:20:51-0600] [ALPM] downgraded python-pyqt5 (5.15.6-6 -> 5.15.6-2)
[2021-12-16T08:20:51-0600] [ALPM] downgraded python-reportlab (3.6.3-1 -> 3.6.2-1)
[2021-12-16T08:20:51-0600] [ALPM] downgraded python-urllib3 (1.26.7-5 -> 1.26.7-2)
[2021-12-16T08:20:51-0600] [ALPM] downgraded python-requests (2.26.0-5 -> 2.26.0-2)
[2021-12-16T08:20:51-0600] [ALPM] downgraded python-termcolor (1.1.0-12 -> 1.1.0-10)
[2021-12-16T08:20:51-0600] [ALPM] downgraded qqc2-desktop-style (5.89.0-1 -> 5.88.0-1)
[2021-12-16T08:20:52-0600] [ALPM] downgraded rebuild-detector (4.2.0-1 -> 4.1.6-2)
[2021-12-16T08:20:52-0600] [ALPM] downgraded reflector (2021.7.8-2 -> 2021.7.8-1)
[2021-12-16T08:20:52-0600] [ALPM] downgraded smbclient (4.15.3-2 -> 4.15.2-3)
[2021-12-16T08:20:52-0600] [ALPM] downgraded sof-firmware (1.9.3-1 -> 1.9.2-1)
[2021-12-16T08:20:52-0600] [ALPM] downgraded system-config-printer (1.5.15-2 -> 1.5.15-1)
[2021-12-16T08:20:52-0600] [ALPM] downgraded telegram-desktop (3.3.0-1 -> 3.2.5-1)
[2021-12-16T08:20:52-0600] [ALPM] downgraded tldr (2.0.0-2 -> 2.0.0-1)
[2021-12-16T08:20:52-0600] [ALPM] downgraded unrar (1:6.1.3-1 -> 1:6.1.2-1)
[2021-12-16T08:20:52-0600] [ALPM] downgraded xorg-xwayland (21.1.4-1 -> 21.1.3-1)
[2021-12-16T08:20:52-0600] [ALPM] downgraded zbar (0.23.1-9 -> 0.23.1-7)

Any ideas on if this is an issue with my PC or which package may be responsible?

It is pinned globally at the top of the forum…

Python 3.10 update needs possible rebuild packages like Optimus-manager and others - General system - EndeavourOS

Welcome Aboard!

3 Likes

@Elloquin Ah thank you, missed that. I’ll be sure to double check pins like that

1 Like

Usually I’m happy just helping out even one person on this forum, but with this Python update it seems like I might’ve helped more people than I can even count! :slight_smile:

2 Likes

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.